## org.apache.mahout.common.iterator.sequencefile
Class SequenceFileDirValueIterable<V extends org.apache.hadoop.io.Writable>

    java.lang.Object
      org.apache.mahout.common.iterator.sequencefile.SequenceFileDirValueIterable<V>

All Implemented Interfaces:
  Iterable<V>

    public final class SequenceFileDirValueIterable<V extends org.apache.hadoop.io.Writable>

extends Object
implements Iterable<V>

`Iterable` counterpart to `SequenceFileDirValueIterator`.

Constructor Summary
`SequenceFileDirValueIterable(org.apache.hadoop.fs.Path path, PathType pathType, org.apache.hadoop.conf.Configuration conf)`
`SequenceFileDirValueIterable(org.apache.hadoop.fs.Path path, PathType pathType, org.apache.hadoop.fs.PathFilter filter, Comparator<org.apache.hadoop.fs.FileStatus> ordering, boolean reuseKeyValueInstances, org.apache.hadoop.conf.Configuration conf)`
`SequenceFileDirValueIterable(org.apache.hadoop.fs.Path path, PathType pathType, org.apache.hadoop.fs.PathFilter filter, org.apache.hadoop.conf.Configuration conf)`

Method Summary
`Iterator<V>` `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceFileDirValueIterable

    public SequenceFileDirValueIterable(org.apache.hadoop.fs.Path path,
                                        PathType pathType,
                                        org.apache.hadoop.conf.Configuration conf)

### SequenceFileDirValueIterable

    public SequenceFileDirValueIterable(org.apache.hadoop.fs.Path path,
                                        PathType pathType,
                                        org.apache.hadoop.fs.PathFilter filter,
                                        org.apache.hadoop.conf.Configuration conf)

### SequenceFileDirValueIterable

    public SequenceFileDirValueIterable(org.apache.hadoop.fs.Path path,
                                        PathType pathType,
                                        org.apache.hadoop.fs.PathFilter filter,
                                        Comparator<org.apache.hadoop.fs.FileStatus> ordering,
                                        boolean reuseKeyValueInstances,
                                        org.apache.hadoop.conf.Configuration conf)

Parameters:
  `path` - file to iterate over
  `pathType` - whether or not to treat path as a directory (`PathType.LIST`) or glob pattern (`PathType.GLOB`)
  `filter` - if not null, specifies sequence files to be ignored by the iteration
  `ordering` - if not null, specifies the order in which to iterate over matching sequence files
  `reuseKeyValueInstances` - if true, reuses instances of the value object instead of creating a new one for each read from the file

Method Detail

### iterator

    public Iterator<V> iterator()

  Specified by:
    `iterator` in interface `Iterable<V extends org.apache.hadoop.io.Writable>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.